# Uses of Class
com.github.lgooddatepicker.optionalusertools.DateInterval

Packages that use DateInterval
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.zinternaltools

## Uses of DateInterval in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return DateInterval
Modifier and Type
Method
Description
`DateInterval`
DatePickerSettings.`getDateRangeLimits()`
getDateRangeLimits, This will return a DateInterval containing any current date range limits.

## Uses of DateInterval in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools that return DateInterval
Modifier and Type
Method
Description
`DateInterval`
DateVetoPolicyMinimumMaximumDate.`getDateRangeLimits()`
getDateRangeLimits, This returns the currently used date limits, as a DateInterval object.